import { loadContractArtifact } from '@aztec/stdlib/abi';
import AuthRegistryJson from '../../artifacts/AuthRegistry.json' with {
    type: 'json'
};
import { makeProtocolContract } from '../make_protocol_contract.js';
let protocolContract;
export const AuthRegistryArtifact = loadContractArtifact(AuthRegistryJson);
/** Returns the canonical deployment of the auth registry. */ export function getCanonicalAuthRegistry() {
    if (!protocolContract) {
        protocolContract = makeProtocolContract('AuthRegistry', AuthRegistryArtifact);
    }
    return Promise.resolve(protocolContract);
}
